# Config

## `bonus-invites`

{% tabs %}
{% tab title="Slash" %}

* `/bonus-invites add <target> <invites>` - Add invites to the target user
* `/bonus-invites remove <target> <invites>` - Remove invites from the target user

![Adding bonus invites](https://i.imgur.com/MlrJa9L.png)
{% endtab %}
{% endtabs %}

## `config`

{% tabs %}
{% tab title="Slash" %}

* `/config view setting <setting>` - View the specified setting
* `/config set join-channel <channel>` - Set the channel where join message are sent
* `/config set leave-channel <channel>` - Set the channel where leave messages are sent
* `/config set join-msg <template>` - Set the template for join messages
* `/config set leave-msg <template>` - Set the template for leave messages
* `/config reset setting <setting>` - Reset the specified setting
* `/config blacklist channel <channel>` - Blacklist/Unblacklist a specific channel such that commands can/cannot be used in the specified channel
* `/config test message <type>` - Send a test join/leave message
* `/config auto-refresh-leaderboard set <Channel>` - Setup the auto-refresh invites lb in the specified channel
* `/config auto-refresh-leaderboard reset` - Disable the current auto-refresh lb
* `/config verification simple <role> <channel> <json>` - Setup a simple verification system using buttons
* `/config verification password <role> <password> <channel> <json>` - Setup a verification system that requires a specific password
* `/config verification randomised <role> <length> <channel> <json>` - Setup a verification verification that uses randomised passwords

![Setting up the join channel](https://i.imgur.com/nmF3XTD.png) ![Resetting the join-channel setting](https://i.imgur.com/WJEdmjy.png) ![Blacklisting a specific channel](https://i.imgur.com/zEQz6Zf.png) ![Sending a test join message](https://i.imgur.com/3VNOccd.png) ![Setting up the simple verification system](https://i.imgur.com/9UK9igo.png)
{% endtab %}
{% endtabs %}

{% hint style="warning" %}
Please use the [#set-as-template](#set-as-template "mention") command for setting up join / leave message templates. It is much easier to use and also supports multi-line input, embeds, and URL buttons!
{% endhint %}

{% hint style="success" %}
Checkout [FAQ](/faq.md#auto-refresh-leaderboard) to setup the auto-refresh invites leaderboard.\
Checkout [FAQ](/faq.md#verification-system) to setup the verification system.
{% endhint %}

## `reset`

{% tabs %}
{% tab title="Slash" %}

* `/reset <target>` - Resets invites of the specified target user
* `/reset` - Reset invites for everyone (when \<target> is not specified)

![The reset command](https://i.imgur.com/g9Eom1k.gif)
{% endtab %}

{% tab title="Normal" %}

* **Aliases**: `resetinvites`
* **Usage**: `reset <target>` - if target is an userID / mention, only that specific user's invites will be reset, if it is left empty or "all" it will reset everyone's invites
  {% endtab %}
  {% endtabs %}

## `Set as template`

{% tabs %}
{% tab title="Context Menu" %}

* Look at [#variables](#variables "mention") for a list of available variables that you can use in your template.
* You can use the `/embed build` command for designing the template, or download premade json templates from this [repo](https://github.com/Siris01/invite-management-templates) and use the `/embed send <channel> <json>` command to send the template to the channel.
* Right click the message that you just sent, click on `Apps` then `Set as template`
* Choose the type of template that you are trying to set

![Setting up join messages using the Set as template context menu command](https://i.imgur.com/UkT1EYv.gif)
{% endtab %}

{% tab title="Normal" %}

* **Aliases**: `set-template`, `set-msg`
* Look at [#variables](#variables "mention") for a list of available variables that you can use in your template.
* You can use the `/embed build` command for designing the template, or download premade json templates from this [repo](https://github.com/Siris01/invite-management-templates) and use the `/embed send <channel> <json>` command to send the template to the channel.
* Use the command while replying to the message that you just sent
* Choose the type of template that you are trying to set
  {% endtab %}
  {% endtabs %}

## `variables`

{% tabs %}
{% tab title="Slash" %}

* `/variables` - View a list of all available variables that you can use to customise join / leave message templates
  {% endtab %}

{% tab title="Normal" %}

* **Aliases**: `vars`
* View a list of all available variables that you can use to customise join / leave message templates
  {% endtab %}
  {% endtabs %}

**List of variables:**

* `user_id` - The ID of the user who joined (example: `581451736305106985`)
* `user_tag` - The tag of the user who joined (example: `Siris#1337`)
* `user_mention` - The mention of the user who joined (example: `<@581451736305106985>`)
* `user_created_date` - The relative date when the user's account was created
* `user_joined_date` - The relative date when the user joined
* `inviter_id` - The ID of the inviter
* `inviter_tag` - The tag of the inviter
* `inviter_mention` - The mention of the inviter
* `inviter_invites_total` - The Total invite count of the inviter
* `inviter_invites_joins` - The amount of joins the inviter has
* `inviter_invites_leaves` - The amount of leaves the inviter has
* `inviter_invites_bonus` - The amount of bonus invites the inviter has
* `invite_code` - The invite code that was used by the user to join
* `invite_channel` - The channel from which the invite code was created
* `invite_uses` - The number of uses the invite code has
* `guild_name` - The name of the server
* `guild_membercount` - The total number of members present in the server
* `https://cdn.discordapp.com/avatars/user` - The avatar link of the user who joined
* `https://cdn.discordapp.com/avatars/server` - The avatar link of the server
* `https://cdn.discordapp.com/avatars/inviter` - The avatar link of the inviter

**Note:** All the variables (except the last 3 avatar type variables) are supposed to be enclosed within `${}` (example: `${inviter_tag}`)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.invi-bot.xyz/commands/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
